//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <jpeg.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPaintBox *PaintBox;
   TGroupBox *GroupBoxReset;
   TButton *ButtonRandom;
   TButton *ButtonDead;
	TImage *ImageOscillator;
	TImage *ImageDot;
	TImage *ImageGliderNW;
	TImage *ImageGliderNE;
	TImage *ImageGliderSE;
	TImage *ImageGliderSW;
	TGroupBox *GroupBoxControl;
	TButton *ButtonRun;
	TButton *ButtonStep;
	TButton *ButtonStop;
	TButton *ButtonOpen;
	TOpenDialog *OpenDialog1;
	TMemo *MemoParser;
	TButton *ButtonRepaint;
	TEdit *EditIterations;
	TTrackBar *TrackBar1;
	TLabel *Label1;
	TLabel *Label2;
	TGroupBox *GroupBox1;
	TEdit *EditX;
	TEdit *EditY;
	TEdit *EditValue;
   void __fastcall PaintBoxMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
   void __fastcall ButtonRunClick(TObject *Sender);
   void __fastcall ButtonStepClick(TObject *Sender);
   void __fastcall ButtonStopClick(TObject *Sender);
   void __fastcall FormPaint(TObject *Sender);
   void __fastcall FormShow(TObject *Sender);
   void __fastcall ButtonRandomClick(TObject *Sender);
   void __fastcall ButtonDeadClick(TObject *Sender);
   void __fastcall TrackBar1Change(TObject *Sender);
	void __fastcall ImageOscillatorClick(TObject *Sender);
	void __fastcall ImageDotClick(TObject *Sender);
	void __fastcall ImageGliderNWClick(TObject *Sender);
	void __fastcall ImageGliderNEClick(TObject *Sender);
	void __fastcall ImageGliderSEClick(TObject *Sender);
	void __fastcall ImageGliderSWClick(TObject *Sender);
	void __fastcall ButtonOpenClick(TObject *Sender);
	void __fastcall MemoParserDblClick(TObject *Sender);
	void __fastcall PaintBoxMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall ButtonRepaintClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
